Page MenuHomePhabricator

Errors: Translation unit name <key-name> must not contain underscore or slash
Closed, ResolvedPublicBUG REPORT

Description

On this page: https://meta.wikimedia.org/w/index.php?title=Special:PageTranslation&target=Template%3AI18n%2FReports&do=mark, I'm seeing that I can't mark new strings for translations.

I do not have any underscores or slashes in the translation string indices. What are my doing wrong?

Impact

Any page with custom translation unit identifiers containing the letter n cannot be marked for translation.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2020, 2:35 PM
Nikerabbit triaged this task as High priority.Sep 22 2020, 3:09 PM
Nikerabbit added a subscriber: Nikerabbit.

All those section names contain the letter n. Our regexp is broken: https://3v4l.org/VrNvf

Change 629257 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Fix validation of translation unit section names

https://gerrit.wikimedia.org/r/629257

Nikerabbit updated the task description. (Show Details)

Change 629257 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Fix validation of translation unit section names

https://gerrit.wikimedia.org/r/629257

Nikerabbit changed the subtype of this task from "Task" to "Bug Report".Sep 23 2020, 7:45 AM

Change 629640 had a related patch set uploaded (by Abijeet Patro; owner: Nikerabbit):
[mediawiki/extensions/Translate@wmf/1.36.0-wmf.10] Fix validation of translation unit section names

https://gerrit.wikimedia.org/r/629640

Change 629640 merged by jenkins-bot:
[mediawiki/extensions/Translate@wmf/1.36.0-wmf.10] Fix validation of translation unit section names

https://gerrit.wikimedia.org/r/629640

Mentioned in SAL (#wikimedia-operations) [2020-09-24T11:34:21Z] <urbanecm@deploy1001> Synchronized php-1.36.0-wmf.10/extensions/Translate/tag/TPSection.php: fa4900e1e6022e645be12505de30b696a9769e77: Fix validation of translation unit section names (T263546) (duration: 01m 07s)

DAlangi_WMF added a subscriber: abi_.EditedSep 24 2020, 12:05 PM

I confirm that I no longer face this issue on Meta-Wiki. Problem has been resolved and if this is the case, I'll leave this for either @Nikerabbit or @abi_ to close the task. Thank you all for fixing this.

QA was done as part of backport deployment.

Nikerabbit closed this task as Resolved.Wed, Sep 30, 2:14 PM